%define major 2
%define apiver 2
%define libname %mklibname lzo %{apiver} %{major}
%define develname %mklibname lzo -d

%define minilzo_major 0
%define minilzo_libname %mklibname minilzo %{minilzo_major}

Summary:	Data compression library with very fast (de-)compression
Name:		liblzo
Version:	2.09
Release:	%mkrel 4
License:	GPLv2
Group:		System/Libraries
URL:		http://www.oberhumer.com/opensource/lzo/
Source0:	http://www.oberhumer.com/opensource/lzo/download/lzo-%{version}.tar.gz

%description
LZO is a portable lossless data compression library written in ANSI C. 
It offers pretty fast compression and *very* fast decompression. 
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while 
still decompressing at this very high speed.

%package -n	%{libname}
Summary:	Data compression library with very fast (de-)compression
Group:		System/Libraries
Provides:	%{name}

%description -n %{libname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%package -n	%{minilzo_libname}
Summary:	Mini version of lzo for apps which don't need the full version
Group:		System/Libraries

%description -n %{minilzo_libname}
A small (mini) version of lzo for embedding into applications which don't need
full blown lzo compression support.

%package -n	%{develname}
Summary:	Headers files of liblzo library
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{minilzo_libname} = %{version}
Provides:	lzo-devel = %{version}-%{release}
Provides:	%{name}2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	minilzo-devel = %{version}-%{release}
Obsoletes:	%mklibname lzo 2_2 -d

%description -n %{develname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.                    

%prep
%setup -qn lzo-%{version}

%build
export CONFIGURE_TOP=`pwd`

mkdir -p shared
cd shared
%configure2_5x	--enable-shared
%make
cd ..

# build minilzo too (rhbz 439979)
gcc %{optflags} -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
gcc -g -shared -o libminilzo.so.%{minilzo_major} -Wl,-soname,libminilzo.so.%{minilzo_major} minilzo/minilzo.o

%check
cd shared
make check
make test

%install
%makeinstall_std -C shared
install -m755 shared/lzotest/lzotest -D %{buildroot}%{_bindir}/lzotest

install -m 755 libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}
ln -s libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}/libminilzo.so
install -p -m 644 minilzo/minilzo.h %{buildroot}%{_includedir}/lzo

rm -rf %{buildroot}%{_datadir}/doc/lzo

%files -n %{libname}
%doc AUTHORS NEWS README THANKS doc/LZO.TXT doc/LZO.FAQ
%{_libdir}/*%{apiver}.so.%{major}{,.*}

%files -n %{minilzo_libname}
%doc minilzo/README.LZO
%{_libdir}/libminilzo.so.%{minilzo_major}

%files -n %{develname}
%doc doc/LZOAPI.TXT doc/LZOTEST.TXT
%{_bindir}/lzotest
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*


%changelog
* Fri Apr 15 2016 tv <tv> 2.09-4.mga6
+ Revision: 1002138
- provides lzo-devel

* Thu Feb 11 2016 umeabot <umeabot> 2.09-3.mga6
+ Revision: 955592
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.09-2.mga6
+ Revision: 867622
- rebuild for new gcc

* Fri Feb 13 2015 luigiwalser <luigiwalser> 2.09-1.mga6
+ Revision: 814860
- 2.09

* Wed Nov 26 2014 oden <oden> 2.08-4.mga5
+ Revision: 799311
- build minilzo too (rhbz 439979)

* Wed Oct 15 2014 umeabot <umeabot> 2.08-3.mga5
+ Revision: 744112
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.08-2.mga5
+ Revision: 681585
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 luigiwalser <luigiwalser> 2.08-1.mga5
+ Revision: 642371
- 2.08 (fixes CVE-2014-4607)

* Thu Jun 19 2014 tv <tv> 2.06-5.mga5
+ Revision: 638119
- drop uclibc build

* Fri Oct 18 2013 umeabot <umeabot> 2.06-4.mga4
+ Revision: 507176
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.06-3.mga3
+ Revision: 357720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 spuhler <spuhler> 2.06-2.mga3
+ Revision: 334455
- rebuilt for mga 3

* Sun Nov 27 2011 tv <tv> 2.06-1.mga2
+ Revision: 172642
- fix %%install
- new release

* Wed Jan 12 2011 ahmad <ahmad> 2.04-3.mga1
+ Revision: 6572
- drop old/unneeded scriptlets
- imported package liblzo

